PHP-инклюдинг в Orca Interactive Forum Script

Дата публикации:
30.06.2008
Дата изменения:
01.07.2008
Всего просмотров:
1038
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Orca Interactive Forum Script 2.x
Уязвимые версии: Orca Interactive Forum Script 2.0.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "gConf[dir][layouts]" в сценарии layout/default/params.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/layout/default/params.php?gConf[dir][layouts]=[SQL]

URL производителя: www.boonex.com/products/orca/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA